<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated by Fujitsu Interstage XWand B0255 -->
<xs:schema targetNamespace="http://italgas.it/2025-12-31" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:italgas="http://italgas.it/2025-12-31" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:q1="http://xbrl.org/2005/xbrldt" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-it.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="815600F25FF44EF1FA76-2025-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="815600F25FF44EF1FA76-2025-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="815600F25FF44EF1FA76-2025-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="815600F25FF44EF1FA76-2025-12-31_lab-it.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-it.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="815600F25FF44EF1FA76-2025-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:roleType roleURI="http://italgas.com/xbrl/2021/roles/Anchoring" id="Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://italgas.com/xbrl/2021/roles/ProspettoDellaSituazionePatrimonialeFinanziaria" id="ProspettoDellaSituazionePatrimonialeFinanziaria">
        <link:definition>01 - Prospetto della situazione patrimoniale-finanziaria</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://italgas.com/xbrl/2021/roles/UtileOPerdita" id="UtileOPerdita">
        <link:definition>02 - Utile o perdita</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://italgas.com/xbrl/2021/roles/ProspettoDiContoEconomicoComplessivo" id="ProspettoDiContoEconomicoComplessivo">
        <link:definition>03 - Prospetto di conto economico complessivo</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://italgas.com/xbrl/2021/roles/ProspettoDelleVariazioniDiPatrimonioNetto" id="ProspettoDelleVariazioniDiPatrimonioNetto">
        <link:definition>04 - Prospetto delle variazioni di patrimonio netto</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://italgas.com/xbrl/2021/roles/RendicontoFinanziario" id="RendicontoFinanziario">
        <link:definition>05 - Rendiconto finanziario</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://italgas.com/xbrl/2021/roles/NotesAndMandatoryItems" id="NotesAndMandatoryItems">
        <link:definition>06 - Notes And Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor.xsd"/>
  <xs:import namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd"/>
  <xs:import namespace="http://www.w3.org/1999/xlink" schemaLocation="http://www.xbrl.org/2003/xlink-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/XLink" schemaLocation="http://www.xbrl.org/2003/xl-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2009/role/net" schemaLocation="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd"/>
  <xs:import namespace="https://xbrl.org/2023/calculation-1.1" schemaLocation="https://www.xbrl.org/2023/calculation-1.1.xsd"/>
  <xs:element name="StatementOfFinancialPositionTable" id="italgas_StatementOfFinancialPositionTable" type="xbrli:stringItemType" substitutionGroup="q1:hypercubeItem" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="ValutazionePartecipazioniFairValue" id="italgas_ValutazionePartecipazioniFairValue" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" id="italgas_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="StatementOfFinancialPositionLineItems" id="italgas_StatementOfFinancialPositionLineItems" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" id="italgas_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="instant"/>
  <xs:element name="DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" id="italgas_DisclosureOfCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="Reserves" id="italgas_Reserves" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <xs:element name="RetainedEarningsExcludingNetProfitLossForThePeriod" id="italgas_RetainedEarningsExcludingNetProfitLossForThePeriod" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <xs:element name="PortionOfRetainedEarningRelatingToThePeriod" id="italgas_PortionOfRetainedEarningRelatingToThePeriod" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="instant"/>
  <xs:element name="ProfitOrLossTable" id="italgas_ProfitOrLossTable" type="xbrli:stringItemType" substitutionGroup="q1:hypercubeItem" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="ProfitOrLossLineItems" id="italgas_ProfitOrLossLineItems" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="CoreBusinessRevenue" id="italgas_CoreBusinessRevenue" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="OtherRevenueAndIncome" id="italgas_OtherRevenueAndIncome" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="CostsForTheUseOfThirdPartyAssets" id="italgas_CostsForTheUseOfThirdPartyAssets" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <xs:element name="EffectOfValuationUsingTheEquityMethod" id="italgas_EffectOfValuationUsingTheEquityMethod" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="OtherIncomeExpenseFromEquityInvestments" id="italgas_OtherIncomeExpenseFromEquityInvestments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="ThirdPartiesMember" id="italgas_ThirdPartiesMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="StatementOfComprehensiveIncomeTable" id="italgas_StatementOfComprehensiveIncomeTable" type="xbrli:stringItemType" substitutionGroup="q1:hypercubeItem" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="StatementOfComprehensiveIncomeLineItems" id="italgas_StatementOfComprehensiveIncomeLineItems" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="ConsolidationReserveMember" id="italgas_ConsolidationReserveMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="RetainedEarningsExcludingNetProfitLossForThePeriodMember" id="italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="PortionOfRetainedEarningRelatingToThePeriodMember" id="italgas_PortionOfRetainedEarningRelatingToThePeriodMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="StatementOfCashFlowsTable" id="italgas_StatementOfCashFlowsTable" type="xbrli:stringItemType" substitutionGroup="q1:hypercubeItem" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="StatementOfCashFlowsLineItems" id="italgas_StatementOfCashFlowsLineItems" type="xbrli:stringItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="AdjustmentsForEffectOfValuationUsingTheEquityMethod" id="italgas_AdjustmentsForEffectOfValuationUsingTheEquityMethod" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="OtherIncomeFromEquityInvestmentsi" id="italgas_OtherIncomeFromEquityInvestmentsi" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" id="italgas_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="ChangeInPayablesAndReceivablesForInvestments" id="italgas_ChangeInPayablesAndReceivablesForInvestments" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="AssumptionsRepaymentsOfLongTermFinancialDebt" id="italgas_AssumptionsRepaymentsOfLongTermFinancialDebt" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="RiservaDaValutazioneAlFairValueDiPartecipazioni" id="italgas_RiservaDaValutazioneAlFairValueDiPartecipazioni" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="RepaymentsOfNonCurrentFinancialDebts" id="italgas_RepaymentsOfNonCurrentFinancialDebts" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="CapogruppoMember" id="italgas_CapogruppoMember" type="dtr-types:domainItemType" substitutionGroup="xbrli:item" abstract="true" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="DisclosureOfNoncurrentFinancialAssets" id="italgas_DisclosureOfNoncurrentFinancialAssets" type="dtr-types:textBlockItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:periodType="duration"/>
  <xs:element name="IncreaseDecreaseThroughSharebasedPaymentToEmployees" id="italgas_IncreaseDecreaseThroughSharebasedPaymentToEmployees" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
  <xs:element name="CapitalContributionsFromThirdParties" id="italgas_CapitalContributionsFromThirdParties" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit" xbrli:periodType="duration"/>
  <xs:element name="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" id="italgas_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivitiesNotStrumental" type="xbrli:monetaryItemType" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit" xbrli:periodType="duration"/>
</xs:schema>
